Index: /palm/trunk/SOURCE/advec_w_up.f90
===================================================================
--- /palm/trunk/SOURCE/advec_w_up.f90	(revision 1352)
+++ /palm/trunk/SOURCE/advec_w_up.f90	(revision 1353)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-!
+! REAL constants provided with KIND-attribute
 !
 ! Former revisions:
@@ -94,7 +94,7 @@
 !
 !--             x-direction
-                ukomp = 0.25 * ( u(k,j,i)   + u(k,j,i+1) +                     &
+                ukomp = 0.25_wp * ( u(k,j,i)   + u(k,j,i+1) +                  &
                                  u(k+1,j,i) + u(k+1,j,i+1) ) - u_gtrans
-                IF ( ukomp > 0.0 )  THEN
+                IF ( ukomp > 0.0_wp )  THEN
                    tend(k,j,i) = tend(k,j,i) - ukomp *                         &
                                          ( w(k,j,i) - w(k,j,i-1) ) * ddx
@@ -105,7 +105,7 @@
 !
 !--             y-direction
-                vkomp = 0.25 * ( v(k,j,i) + v(k,j+1,i) +                       &
+                vkomp = 0.25_wp * ( v(k,j,i) + v(k,j+1,i) +                    &
                                  v(k+1,j,i) + v(k+1,j+1,i) ) - v_gtrans
-                IF ( vkomp > 0.0 )  THEN
+                IF ( vkomp > 0.0_wp )  THEN
                    tend(k,j,i) = tend(k,j,i) - vkomp *                         &
                                          ( w(k,j,i) - w(k,j-1,i) ) * ddy
@@ -116,5 +116,5 @@
 !
 !--             z-direction
-                IF ( w(k,j,i) > 0.0 )  THEN
+                IF ( w(k,j,i) > 0.0_wp )  THEN
                    tend(k,j,i) = tend(k,j,i) - w(k,j,i) *                      &
                                          ( w(k,j,i) - w(k-1,j,i) ) * ddzw(k)
@@ -164,7 +164,7 @@
 !
 !--       x-direction
-          ukomp = 0.25 * ( u(k,j,i) + u(k,j,i+1) + u(k+1,j,i) + u(k+1,j,i+1)   &
+          ukomp = 0.25_wp * ( u(k,j,i) + u(k,j,i+1) + u(k+1,j,i) + u(k+1,j,i+1) &
                          ) - u_gtrans
-          IF ( ukomp > 0.0 )  THEN
+          IF ( ukomp > 0.0_wp )  THEN
              tend(k,j,i) = tend(k,j,i) - ukomp *                               &
                                          ( w(k,j,i) - w(k,j,i-1) ) * ddx
@@ -175,7 +175,7 @@
 !
 !--       y-direction
-          vkomp = 0.25 * ( v(k,j,i) + v(k,j+1,i) + v(k+1,j,i) + v(k+1,j+1,i)   &
+          vkomp = 0.25_wp * ( v(k,j,i) + v(k,j+1,i) + v(k+1,j,i) + v(k+1,j+1,i) &
                          ) - v_gtrans
-          IF ( vkomp > 0.0 )  THEN
+          IF ( vkomp > 0.0_wp )  THEN
              tend(k,j,i) = tend(k,j,i) - vkomp *                               &
                                          ( w(k,j,i) - w(k,j-1,i) ) * ddy
@@ -186,5 +186,5 @@
 !
 !--       z-direction
-          IF ( w(k,j,i) > 0.0 )  THEN
+          IF ( w(k,j,i) > 0.0_wp )  THEN
              tend(k,j,i) = tend(k,j,i) - w(k,j,i) *                            &
                                          ( w(k,j,i) - w(k-1,j,i) ) * ddzw(k)
